<script>
import { createEventDispatcher } from 'svelte'
const dispatch = createEventDispatcher()

export let symbol = "favorite"
export let highlight = false

function catchContent(evt) {
  dispatch('drop', evt.dataTransfer)
}

</script>

<button on:click style="--highlight: {highlight ? 'orange' : 'grey'}"
    on:dragover|preventDefault 
    on:dragenter|preventDefault 
    on:drop={catchContent}>
    <span class="material-symbols-outlined">{symbol}</span>
</button>

<style>
button {
  font-variation-settings: 'wght' 200;
  width: 40px;
  height: 40px;
  margin: 0px 5px;
  border: dashed var(--highlight) 1px;
  transition: 0.2s;
  background: none;
  border-radius: 4px;
}

button:hover {
  color: orange;
}

button:focus {
  outline: 0;
}

</style>